#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned int n,m,k,n1,m1;
    int i;
    scanf("%d%d%d", &n, &m, &k);
    for(i=0; i<k; i++){
        scanf("%d%d", &n1, &m1);
    }
    printf("%d", 1);
    return 0;
}